## TeplLanguageChooserWidget TeplLanguageChooserWidget — A widget for choosing a GtkSourceLanguage |

## Functions

TeplLanguageChooserWidget * | tepl_language_chooser_widget_new ()

## Types and Values

struct | TeplLanguageChooserWidget

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkGrid
                        ╰── TeplLanguageChooserWidget

## Implemented Interfaces

TeplLanguageChooserWidget implements AtkImplementorIface, GtkBuildable, GtkOrientable and TeplLanguageChooser.

## Includes

    #include <tepl/tepl.h>

## Description

TeplLanguageChooserWidget is a GtkWidget to choose a GtkSourceLanguage. TeplLanguageChooserWidget implements the TeplLanguageChooser interface.

In addition to the list, it contains a GtkSearchEntry to search the list.

## Functions

### tepl_language_chooser_widget_new ()

    TeplLanguageChooserWidget *
    tepl_language_chooser_widget_new (void);

#### Returns

a new TeplLanguageChooserWidget.

[transfer floating]

Since: 6.0

## Types and Values

### struct TeplLanguageChooserWidget

    struct TeplLanguageChooserWidget;